<!-- Form Heading -->
<div class="hd-modal-header">
    <div *ngIf="_entryUnderEditIdx !== undefined">Edit Education</div>
    <div *ngIf="_entryUnderEditIdx === undefined">Add Education</div>
</div>

<form [formGroup]="_form" (ngSubmit)="_onSubmit()" class="container-fluid">
  <!-- School field -->
  <div class="row">
    <div class="col-sm-12 form-group" [ngClass]="_formBuilder.groupClass(_formState['school'])">
      <label for="school">School</label>
      <input type="text" id="school" class="form-control" formControlName="school" />
      <form-field-errors id='schoolErrors' [field]="_formState['school']"></form-field-errors>
    </div>
  </div>

  <div class="row">
    <!-- Year started field -->
    <div class="col-sm-6">
      <div class="form-group" [ngClass]="_formBuilder.groupClass(_formState['start_year'])">
        <label for="start_year">Date Attended</label>
        <select id="start_year" class="form-control" formControlName="start_year">
                      <option value="undefined" disabled [selected]="!_form.value.start_year"></option>
                      <option *ngFor="let start_year of _startYearOptions" [value]="start_year"
                              [selected]='_form.value.start_year == start_year'>
                      {{ start_year }}
                      </option>
                  </select>
      </div>
    </div>
    <!-- Year finished field -->
    <div class="col-sm-6">
      <div class="form-group" [ngClass]="_formBuilder.groupClass(_formState['end_year'])">
        <label for="end_year">Date Completed</label>
        <select id="end_year" class="form-control" formControlName="end_year">
                      <option value="undefined" disabled [selected]="!_form.value.end_year"></option>
                      <option *ngFor="let end_year of _endYearOptions" [value]="end_year"
                              [selected]='_form.value.end_year == end_year'>
                      {{ end_year }}
                      </option>
                  </select>
      </div>
    </div>
  </div>

  <!-- Chronological order violated error message -->
  <div class="row">
    <div class="col-sm-12" *ngIf="_isChronoOrderViolated()">
      <div class="form-group, has-error">
        <form-field-errors id='chronoOrderViolatedLabel' [field]='_chronoOrderViolatedMessage'>
        </form-field-errors>
      </div>
    </div>
  </div>

  <!-- Degree field -->
  <div class="row">
    <div class="col-xs-12 form-group" [ngClass]="_formBuilder.groupClass(_formState['degree'])">
      <label for="degree">Degree</label>
      <input #degree type="text" id="degree" class="form-control" formControlName="degree" autocomplete="off" />
      <div class="suggestions-wrap" *ngIf='_degreeSuggestion.suggestions'>
        <div class="suggestions-list">
          <div class="suggestion" *ngFor='let suggestion of _degreeSuggestion.suggestions | slice:0:5' (click)="_degreeSuggestion.acceptSuggestion(suggestion)">
            {{ suggestion.name }}
          </div>
        </div>
      </div>
      <form-field-errors id='degreeErrors' [field]="_formState['degree']"></form-field-errors>
    </div>
  </div>

  <!-- Area of Study Field -->
  <div class="row">
    <div class="form-group col-xs-12" [ngClass]="_formBuilder.groupClass(_formState['area_of_study'])">
      <label for="area_of_study">Area of Study</label>
      <input type="text" id="area_of_study" class="form-control" formControlName="area_of_study" />
      <form-field-errors id='area_of_studyErrors' [field]="_formState['area_of_study']"></form-field-errors>
    </div>
  </div>

  <!-- Description field -->
  <div class="row">
    <div class="form-group col-xs-12" [ngClass]="_formBuilder.groupClass(_formState['description'])">
      <label for="description">Description (optional)</label>
      <textarea id="description" class="form-control" formControlName="description" rows="4"></textarea>
      <form-field-errors id='descriptionErrors' [field]="_formState['description']"></form-field-errors>
    </div>
  </div>

  <!-- Unexpected error message -->
  <div class="row" *ngIf="_unexpectedError" id="unexpectedError">
    <div class="col-xs-12 text-center" style="padding-top: 20px">
      An unexpected error occurred while trying to save your changes!
    </div>
  </div>

  <!-- Save / Cancel buttons -->
  <div class="row edit-panel-buttons">
    <div class="col-xs-12">
      <button type="submit" id='saveButton' class="btn btn-primary" [disabled]="!_form.valid">Save</button>
      <a class="btn btn-default" id='cancelButton' (click)="_onCancel()">Cancel</a>
    </div>
  </div>
</form>
